Exodus 7.22

Functions
Model Description

The routines in this section read and write information which describe an exodus finite element model. This includes nodal coordinates, element order map, element connectivity arrays, element attributes, node sets, side sets, and object properties. More...

## Functions
int | ex_create_group (int parent_id, const char *group_name)
int | ex_get_coord_names (int exoid, char **coord_names)
int | ex_get_coord (int exoid, void *x_coor, void *y_coor, void *z_coor)
int | ex_get_partial_coord_component (int exoid, int64_t start_node_num, int64_t num_nodes, int component, void *coor)
int | ex_get_partial_coord (int exoid, int64_t start_node_num, int64_t num_nodes, void *x_coor, void *y_coor, void *z_coor)
int | ex_get_ids (int exoid, ex_entity_type obj_type, void_int *ids)
int | ex_get_coordinate_frames (int exoid, int *nframes, void_int *cf_ids, void *pt_coordinates, char *tags)
int | ex_put_init_ext (int exoid, const ex_init_params *model)
int | ex_get_init_ext (int exoid, ex_init_params *info)
int | ex_get_init (int exoid, char *title, void_int *num_dim, void_int *num_nodes, void_int *num_elem, void_int *num_elem_blk, void_int *num_node_sets, void_int *num_side_sets)
int | ex_put_init (int exoid, const char *title, int64_t num_dim, int64_t num_nodes, int64_t num_elem, int64_t num_elem_blk, int64_t num_node_sets, int64_t num_side_sets)
int | ex_get_map (int exoid, void_int *elem_map)
int | ex_get_map_param (int exoid, int *num_node_maps, int *num_elem_maps)
int | ex_get_name (int exoid, ex_entity_type obj_type, ex_entity_id entity_id, char *name)
int | ex_get_names (int exoid, ex_entity_type obj_type, char **names)
int | ex_get_prop_array (int exoid, ex_entity_type obj_type, const char *prop_name, void_int *values)
int | ex_get_prop (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, const char *prop_name, void_int *value)
int | ex_get_partial_num_map (int exoid, ex_entity_type map_type, ex_entity_id map_id, int64_t ent_start, int64_t ent_count, void_int *map)
int | ex_get_prop_names (int exoid, ex_entity_type obj_type, char **prop_names)
int | ex_add_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int64_t num_attr_per_entry)
int | ex_put_attr_param (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int num_attrs)
int | ex_get_attr_param (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int *num_attrs)
int | ex_put_concat_elem_block (int exoid, const void_int *elem_blk_id, char *elem_type[], const void_int *num_elem_this_blk, const void_int *num_nodes_per_elem, const void_int *num_attr_this_blk, int define_maps)
int | ex_put_coord_names (int exoid, char *coord_names[])
int | ex_put_coord (int exoid, const void *x_coor, const void *y_coor, const void *z_coor)
int | ex_put_partial_coord_component (int exoid, int64_t start_node_num, int64_t num_nodes, int component, const void *coor)
int | ex_put_partial_coord (int exoid, int64_t start_node_num, int64_t num_nodes, const void *x_coor, const void *y_coor, const void *z_coor)
int | ex_put_map (int exoid, const void_int *elem_map)
int | ex_put_id_map (int exoid, ex_entity_type map_type, const void_int *map)
int | ex_put_partial_id_map (int exoid, ex_entity_type map_type, int64_t start_entity_num, int64_t num_entities, const void_int *map)
int | ex_get_id_map (int exoid, ex_entity_type map_type, void_int *map)
int | ex_get_partial_id_map (int exoid, ex_entity_type map_type, int64_t start_entity_num, int64_t num_entities, void_int *map)
int | ex_put_coordinate_frames (int exoid, int nframes, const void_int *cf_ids, void *pt_coordinates, const char *tags)
int | ex_put_map_param (int exoid, int num_node_maps, int num_elem_maps)
int | ex_put_name (int exoid, ex_entity_type obj_type, ex_entity_id entity_id, const char *name)
int | ex_put_names (int exoid, ex_entity_type obj_type, char *names[])
int | ex_put_partial_one_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int64_t start_num, int64_t num_ent, int attrib_index, const void *attrib)
int | ex_put_prop (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, const char *prop_name, ex_entity_id value)
int | ex_put_prop_array (int exoid, ex_entity_type obj_type, const char *prop_name, const void_int *values)
int | ex_put_prop_names (int exoid, ex_entity_type obj_type, int num_props, char **prop_names)
int | ex_put_num_map (int exoid, ex_entity_type map_type, ex_entity_id map_id, const void_int *map)
int | ex_get_num_map (int exoid, ex_entity_type map_type, ex_entity_id map_id, void_int *map)
int | ex_put_block (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, const char *entry_descrip, int64_t num_entries_this_blk, int64_t num_nodes_per_entry, int64_t num_edges_per_entry, int64_t num_faces_per_entry, int64_t num_attr_per_entry)
int | ex_get_block (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, char *elem_type, void_int *num_entries_this_blk, void_int *num_nodes_per_entry, void_int *num_edges_per_entry, void_int *num_faces_per_entry, void_int *num_attr_per_entry)
int | ex_get_block_param (int exoid, ex_block *block)
int | ex_put_block_param (int exoid, const ex_block block)
int | ex_get_block_params (int exoid, size_t block_count, struct ex_block **blocks)
int | ex_put_block_params (int exoid, size_t block_count, const struct ex_block *blocks)
int | ex_put_concat_all_blocks (int exoid, const ex_block_params *param)
int | ex_put_entity_count_per_polyhedra (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, const int *entity_counts)
int | ex_get_entity_count_per_polyhedra (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, int *entity_counts)
int | ex_put_conn (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, const void_int *node_conn, const void_int *elem_edge_conn, const void_int *elem_face_conn)
int | ex_get_conn (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, void_int *nodeconn, void_int *edgeconn, void_int *faceconn)
int | ex_get_partial_conn (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, int64_t start_num, int64_t num_ent, void_int *nodeconn, void_int *edgeconn, void_int *faceconn)
int | ex_put_partial_conn (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, int64_t start_num, int64_t num_ent, const void_int *nodeconn, const void_int *edgeconn, const void_int *faceconn)
int | ex_put_attr (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, const void *attrib)
int | ex_put_partial_attr (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, int64_t start_entity, int64_t num_entity, const void *attrib)
int | ex_get_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, void *attrib)
int | ex_get_partial_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int64_t start_num, int64_t num_ent, void *attrib)
int | ex_put_one_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int attrib_index, const void *attrib)
int | ex_get_one_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int attrib_index, void *attrib)
int | ex_get_partial_one_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int64_t start_num, int64_t num_ent, int attrib_index, void *attrib)
int | ex_put_attr_names (int exoid, ex_entity_type blk_type, ex_entity_id blk_id, char **names)
int | ex_get_attr_names (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, char **names)
int | ex_put_set_param (int exoid, ex_entity_type set_type, ex_entity_id set_id, int64_t num_entries_in_set, int64_t num_dist_fact_in_set)
int | ex_get_set_param (int exoid, ex_entity_type set_type, ex_entity_id set_id, void_int *num_entry_in_set, void_int *num_dist_fact_in_set)
int | ex_put_set (int exoid, ex_entity_type set_type, ex_entity_id set_id, const void_int *set_entry_list, const void_int *set_extra_list)
int | ex_get_partial_set (int exoid, ex_entity_type set_type, ex_entity_id set_id, int64_t offset, int64_t num_to_get, void_int *set_entry_list, void_int *set_extra_list)
int | ex_put_partial_set (int exoid, ex_entity_type set_type, ex_entity_id set_id, int64_t offset, int64_t num_to_put, const void_int *set_entry_list, const void_int *set_extra_list)
int | ex_get_set (int exoid, ex_entity_type set_type, ex_entity_id set_id, void_int *set_entry_list, void_int *set_extra_list)
int | ex_put_set_dist_fact (int exoid, ex_entity_type set_type, ex_entity_id set_id, const void *set_dist_fact)
int | ex_get_set_dist_fact (int exoid, ex_entity_type set_type, ex_entity_id set_id, void *set_dist_fact)
int | ex_get_partial_set_dist_fact (int exoid, ex_entity_type set_type, ex_entity_id set_id, int64_t offset, int64_t num_to_put, void *set_dist_fact)
int | ex_put_concat_sets (int exoid, ex_entity_type set_type, const struct ex_set_specs *set_specs)
int | ex_get_concat_sets (int exoid, ex_entity_type set_type, struct ex_set_specs *set_specs)
int | ex_put_sets (int exoid, size_t set_count, const struct ex_set *sets)
int | ex_get_sets (int exoid, size_t set_count, struct ex_set *sets)
int | ex_put_partial_num_map (int exoid, ex_entity_type map_type, ex_entity_id map_id, int64_t ent_start, int64_t ent_count, const void_int *map)
int | ex_put_partial_set_dist_fact (int exoid, ex_entity_type set_type, ex_entity_id set_id, int64_t offset, int64_t num_to_put, const void *set_dist_fact)
int | ex_get_concat_side_set_node_count (int exoid, int *side_set_node_cnt_list)
int | ex_get_side_set_node_list_len (int exoid, ex_entity_id side_set_id, void_int *side_set_node_list_len)
int | ex_get_side_set_node_count (int exoid, ex_entity_id side_set_id, int *side_set_node_cnt_list)
int | ex_get_side_set_node_list (int exoid, ex_entity_id side_set_id, void_int *side_set_node_cnt_list, void_int *side_set_node_list)
int | ex_get_ns_param_global (int exoid, void_int *global_ids, void_int *node_cnts, void_int *df_cnts)
int | ex_put_ns_param_global (int exoid, void_int *global_ids, void_int *node_cnts, void_int *df_cnts)
int | ex_get_ss_param_global (int exoid, void_int *global_ids, void_int *side_cnts, void_int *df_cnts)
int | ex_put_ss_param_global (int exoid, void_int *global_ids, void_int *side_cnts, void_int *df_cnts)
int | ex_get_eb_info_global (int exoid, void_int *el_blk_ids, void_int *el_blk_cnts)
int | ex_put_eb_info_global (int exoid, void_int *el_blk_ids, void_int *el_blk_cnts)
int | ex_get_elem_type (int exoid, ex_entity_id elem_blk_id, char *elem_type)
int | ex_get_processor_node_maps (int exoid, void_int *node_mapi, void_int *node_mapb, void_int *node_mape, int processor)
int | ex_put_processor_node_maps (int exoid, void_int *node_mapi, void_int *node_mapb, void_int *node_mape, int proc_id)
int | ex_get_processor_elem_maps (int exoid, void_int *elem_mapi, void_int *elem_mapb, int processor)
int | ex_put_processor_elem_maps (int exoid, void_int *elem_mapi, void_int *elem_mapb, int processor)
int | ex_get_cmap_params (int exoid, void_int *node_cmap_ids, void_int *node_cmap_node_cnts, void_int *elem_cmap_ids, void_int *elem_cmap_elem_cnts, int processor)
int | ex_put_cmap_params (int exoid, void_int *node_cmap_ids, void_int *node_cmap_node_cnts, void_int *elem_cmap_ids, void_int *elem_cmap_elem_cnts, int64_t processor)
int | ex_put_cmap_params_cc (int exoid, void_int *node_cmap_ids, void_int *node_cmap_node_cnts, void_int *node_proc_ptrs, void_int *elem_cmap_ids, void_int *elem_cmap_elem_cnts, void_int *elem_proc_ptrs)
int | ex_get_node_cmap (int exoid, ex_entity_id map_id, void_int *node_ids, void_int *proc_ids, int processor)
int | ex_put_node_cmap (int exoid, ex_entity_id map_id, void_int *node_ids, void_int *proc_ids, int processor)
int | ex_get_elem_cmap (int exoid, ex_entity_id map_id, void_int *elem_ids, void_int *side_ids, void_int *proc_ids, int processor)
int | ex_put_elem_cmap (int exoid, ex_entity_id map_id, void_int *elem_ids, void_int *side_ids, void_int *proc_ids, int processor)
int | ex_get_init_global (int exoid, void_int *num_nodes_g, void_int *num_elems_g, void_int *num_elem_blks_g, void_int *num_node_sets_g, void_int *num_side_sets_g)
int | ex_get_init_info (int exoid, int *num_proc, int *num_proc_in_f, char *ftype)
int | ex_get_loadbal_param (int exoid, void_int *num_int_nodes, void_int *num_bor_nodes, void_int *num_ext_nodes, void_int *num_int_elems, void_int *num_bor_elems, void_int *num_node_cmaps, void_int *num_elem_cmaps, int processor)
int | ex_put_init_global (int exoid, int64_t num_nodes_g, int64_t num_elems_g, int64_t num_elem_blks_g, int64_t num_node_sets_g, int64_t num_side_sets_g)
int | ex_put_init_info (int exoid, int num_proc, int num_proc_in_f, char *ftype)
int | ex_put_loadbal_param (int exoid, int64_t num_int_nodes, int64_t num_bor_nodes, int64_t num_ext_nodes, int64_t num_int_elems, int64_t num_bor_elems, int64_t num_node_cmaps, int64_t num_elem_cmaps, int processor)
int | ex_put_loadbal_param_cc (int exoid, void_int *num_int_nodes, void_int *num_bor_nodes, void_int *num_ext_nodes, void_int *num_int_elems, void_int *num_bor_elems, void_int *num_node_cmaps, void_int *num_elem_cmaps)

## Detailed Description

The routines in this section read and write information which describe an exodus finite element model. This includes nodal coordinates, element order map, element connectivity arrays, element attributes, node sets, side sets, and object properties.

## Function Documentation

## ◆ ex_add_attr()

int ex_add_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int64_t | num_attr_per_entry
| ) |  |

## ◆ ex_create_group()

int ex_create_group | ( | int | parent_id,
|  | const char * | group_name
| ) |  |

Undocumented:

Examples
  /test/testwt-groups.c.

## ◆ ex_get_attr()

int ex_get_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | void * | attrib
| ) |  |

Undocumented:
  reads the attributes for an edge, face, or element block

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, and /test/testrdd.c.

## ◆ ex_get_attr_names()

int ex_get_attr_names | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | char ** | names
| ) |  |

Undocumented:

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, and /test/testrd_par.c.

## ◆ ex_get_attr_param()

int ex_get_attr_param | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int * | num_attrs
| ) |  |

Undocumented:
  retrieves the number of attributes.

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, and /test/testrd_par.c.

## ◆ ex_get_block()

int ex_get_block | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | char * | entity_descrip,
|  | void_int * | num_entries_this_blk,
|  | void_int * | num_nodes_per_entry,
|  | void_int * | num_edges_per_entry,
|  | void_int * | num_faces_per_entry,
|  | void_int * | num_attr_per_entry
| ) |  |

Undocumented:
  exgblk - read block parameters

entry conditions - input parameters: int idexo exodus file id int blk_type block type (edge,face,element) int blk_id block id

exit conditions - char* elem_type element type name int* num_entries_this_blk number of elements in this element block int* num_nodes_per_entry number of nodes per element block int* num_attr_per_entry number of attributes

revision history -

Examples
  /test/rd_wt_mesh.c, /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, /test/testrdwt.c, and /test/testwt-one-attrib.c.

## ◆ ex_get_block_param()

int ex_get_block_param | ( | int | exoid,
|  | ex_block * | block
| ) |  |

Undocumented:
  exgblk - read block parameters

entry conditions - input parameters: int idexo exodus file id int blk_type block type (edge,face,element) int blk_id block id

exit conditions - char* elem_type element type name int* num_entries_this_blk number of elements in this element block int* num_nodes_per_entry number of nodes per element block int* num_attr_per_entry number of attributes

revision history -

## ◆ ex_get_block_params()

int ex_get_block_params | ( | int | exoid,
|  | size_t | block_count,
|  | struct ex_block ** | blocks
| ) |  |

Reads the parameters describing element/face/edge blocks

Parameters

  exoid | exodus file id
  block_count | number of blocks being queried
  blocks | array of ex_block structures describing block counts

the id and type fields of the block(s) must be defined to specify which blocks to access; all other fields will be filled in based on data from the file

## ◆ ex_get_cmap_params()

int ex_get_cmap_params | ( | int | exoid,
|  | void_int * | node_cmap_ids,
|  | void_int * | node_cmap_node_cnts,
|  | void_int * | elem_cmap_ids,
|  | void_int * | elem_cmap_elem_cnts,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  node_cmap_ids | Nodal comm. map IDs
  node_cmap_node_cnts | Number of nodes in each map
  elem_cmap_ids | Elemental comm. map IDs
  elem_cmap_elem_cnts | Number of elems in each map
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_get_concat_sets()

int ex_get_concat_sets | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | struct ex_set_specs * | set_specs
| ) |  |

Undocumented:
  exgcss - ex_get_concat_sets

reads the set ID's, set entry count array, set entry pointers array, set entry list, set extra list, and set distribution factors for all sets of the specified type.

entry conditions - input parameters: int exoid exodus file id ex_entity_type set_type type of set

exit conditions - struct ex_set_specs* set_specs set specs structure

revision history -

Examples
  /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_ss.c, and /test/testrdd.c.

## ◆ ex_get_concat_side_set_node_count()

int ex_get_concat_side_set_node_count | ( | int | exoid,
|  | int * | side_set_node_cnt_list
| ) |  |

Undocumented:

## ◆ ex_get_conn()

int ex_get_conn | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | void_int * | nodeconn,
|  | void_int * | edgeconn,
|  | void_int * | faceconn
| ) |  |

Undocumented:
  exgconn - exodusII read edge/face/element block connectivity

entry conditions - expelb must be called first to establish element block parameters. input parameters: int exoid exodus file id int blk_type block type (edge, face, element) int blk_id block id

exit conditions - int* nodeconn nodal connectivity array int* edgeconn edge connectivity array (where applicable) int* faceconn face connectivity array (where applicable)

Examples
  /test/rd_wt_mesh.c, /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_coord()

int ex_get_coord | ( | int | exoid,
|  | void * | x_coor,
|  | void * | y_coor,
|  | void * | z_coor
| ) |  |

The function ex_get_coord() reads the nodal coordinates of the nodes. Memory must be allocated for the coordinate arrays (x_coor, y_coor, and z_coor) before this call is made. The length of each of these arrays is the number of nodes in the mesh.

Because the coordinates are floating point values, the application code must declare the arrays passed to be the appropriate type (float or double) to match the compute word size passed in ex_create() or ex_open().

Returns
  In case of an error, ex_get_coord() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - a warning value is returned if nodal coordinates were not stored.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [out] | x_coor | Returned X coordinates of the nodes. If this is NULL, the X-coordinates will not be read.
  [out] | y_coor | Returned Y coordinates of the nodes. These are returned only if num_dim > 1; otherwise, pass in NULL. If this is NULL, the Y-coordinates will not be read.
  [out] | z_coor | Returned Z coordinates of the nodes. These are returned only if num_dim > 2; otherwise, pass in NULL. If this is NULL, the Z-coordinates will not be read.

The following code segment will read the nodal coordinates from an open exodus file :

int error, exoid;
double *x, *y, *z;
/* read nodal coordinates values from database */
x = (double *)calloc(num_nodes, sizeof(double));
y = (double *)calloc(num_nodes, sizeof(double));
if (num_dim >= 3)
z = (double *)calloc(num_nodes, sizeof(double));
else
z = 0;
error = ex_get_coord(exoid, x, y, z);
/* Do the same as the previous call in three separate calls */
error = ex_get_coord(exoid, x, NULL, NULL);
error = ex_get_coord(exoid, NULL, y, NULL);
if (num_dim >= 3)
error = ex_get_coord(exoid, NULL, NULL, z);

Examples
  /test/rd_wt_mesh.c, /test/test_ts_nvar_rd.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_coord_names()

int ex_get_coord_names | ( | int | exoid,
|  | char ** | coord_names
| ) |  |

The function ex_get_coord_names() reads the names of the coordinate arrays from the database. Memory must be allocated for the character strings before this function is invoked.

Returns
  In case of an error, ex_get_coord_names() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - a warning value is returned if coordinate names were not stored.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [out] | coord_names | Returned pointer to a vector containing num_dim names of the nodal coordinate arrays.

The following code segment will read the coordinate names from an open exodus file :

int error, exoid;
char *coord_names[3];
for (i=0; i < num_dim; i++) {
coord_names[i] = (char *)calloc((..size of names...+1), sizeof(char));
}
error = ex_get_coord_names (exoid, coord_names);

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_coordinate_frames()

int ex_get_coordinate_frames | ( | int | exoid,
|  | int * | nframes,
|  | void_int * | cf_ids,
|  | void * | pt_coordinates,
|  | char * | tags
| ) |  |

Coordinate frames are stored in the database as a series of three points (defined in the basic cartesian coordinate system). The first of these points describes the origin of the new system. The second point lies on the 3 axis (or Z axis) of the frame. The third point is in the 1-3 (xz) plane. Each coordinate frame is identified by a unique, integer coordinate ID, and by a character tag indicating whether the frame is rectangular cartesian "R", cylindrical "C, or spherical "S". Because the coordinates are floating point values, the application code must declare the arrays passed to be the appropriate type "float" or "double" to match the compute word size passed in ex_create() or ex_open().

Parameters

  | exoid | exodus file id
  [in,out] | nframes | if 'cf_ids' is NULL, then nframes is returned with the number of defined coordinate frames. Else it is the number of coordinate frames to read.
  [out] | cf_ids | The (nframes) coordinate frame Ids. If cf_ids is NULL, no data will be returned in this or any other array. Only nframes will be modified. Otherwise, space must be allocated to store 'nframes' integers before making this call.
  [out] | pt_coordinates | The (9*nframes) coordinates of the three points defining each coordinate axis. The first three values are the origin of the first frame. The next three values are the coordinates of a point on the 3rd axis of the first frame. The next three values are the coordinates of a point in the plane of the 1-3 axis. The pattern is repeated for each frame. If 'cf_ids' is null, no data will be returned in this array. Otherwise, space must be allocated for 9*nframes floating point values. The size of the allocation depends upon the compute word size.
  [out] | tags | The (nframes) character tags associated with each coordinate frame. If 'cf_ids' is NULL, no data will be returned in this array. Otherwise, space must be allocated for 'nframes' characters.

Examples
  /test/testwt-one-attrib.c.

## ◆ ex_get_eb_info_global()

int ex_get_eb_info_global | ( | int | exoid,
|  | void_int * | el_blk_ids,
|  | void_int * | el_blk_cnts
| ) |  |

Parameters

  exoid | NemesisI file ID
  el_blk_ids | Vector of global element IDs
  el_blk_cnts | Vector of global element counts

Examples
  /test/test_nemesis.c.

## ◆ ex_get_elem_cmap()

int ex_get_elem_cmap | ( | int | exoid,
|  | ex_entity_id | map_id,
|  | void_int * | elem_ids,
|  | void_int * | side_ids,
|  | void_int * | proc_ids,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  map_id | Elemental comm map ID
  elem_ids | Element IDs
  side_ids | Element side IDs
  proc_ids | Processor IDs
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_get_elem_type()

int ex_get_elem_type | ( | int | exoid,
|  | ex_entity_id | elem_blk_id,
|  | char * | elem_type
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  elem_blk_id | Element block ID
  elem_type | The name of the element type

## ◆ ex_get_entity_count_per_polyhedra()

int ex_get_entity_count_per_polyhedra | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | int * | entity_counts
| ) |  |

reads in the number of entities (nodes/faces) per polyhedra (nsided/nfaced) in this element block.

Parameters

  exoid | exodus file id
  blk_type | type of block (face, or element)
  blk_id | block identifier
  entity_counts | entity_per_polyhedra count array

Examples
  /test/testrd-nfaced.c, and /test/testrd-nsided.c.

## ◆ ex_get_id_map()

int ex_get_id_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | void_int * | map
| ) |  |

Examples
  /test/rd_wt_mesh.c.

## ◆ ex_get_ids()

int ex_get_ids | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | void_int * | ids
| ) |  |

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, /test/testrdwt.c, and /test/testwt-one-attrib.c.

## ◆ ex_get_init()

int ex_get_init | ( | int | exoid,
|  | char * | title,
|  | void_int * | num_dim,
|  | void_int * | num_nodes,
|  | void_int * | num_elem,
|  | void_int * | num_elem_blk,
|  | void_int * | num_node_sets,
|  | void_int * | num_side_sets
| ) |  |

The function ex_get_init() reads the initializationinitialization parameters from an opened exodus file.

Returns
  In case of an error, ex_get_init() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open().

Parameters

  | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [out] | title | Returned database title. String length may be up to `MAX_LINE_LENGTH` bytes.
  [out] | num_dim | Returned dimensionality of the database. This is the number of coordinates per node.
  [out] | num_nodes | Returned number of nodal points.
  [out] | num_elem | Returned number of elements
  [out] | num_elem_blk | Returned number of element blocks
  [out] | num_node_sets | Returned number of node sets
  [out] | num_side_sets | Returned number of side sets

See also
  ex_get_init_ext()

The following code segment will read the initialization parameters from the open exodus file:

int num_dim, num_nodes, num_elem, num_elem_blk,
num_node_sets, num_side_sets, error, exoid;
char title[MAX_LINE_LENGTH+1];
/* read database parameters */
error = ex_get_init (exoid, title, &num_dim, &num_nodes,
&num_elem, &num_elem_blk, &num_node_sets, &num_side_sets);

Examples
  /test/rd_wt_mesh.c, /test/test-empty.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, /test/testrdwt.c, and /test/testwt-one-attrib.c.

## ◆ ex_get_init_ext()

int ex_get_init_ext | ( | int | exoid,
|  | ex_init_params * | info
| ) |  |

reads the initialization parameters from an opened EXODUS file

Parameters

  | exoid | exodus file id
  [out] | info | ex_init_params structure containing metadata for mesh.

See also
  ex_get_init()

Examples
  /test/ReadEdgeFace.c, and /test/testrd-nfaced.c.

## ◆ ex_get_init_global()

int ex_get_init_global | ( | int | exoid,
|  | void_int * | num_nodes_g,
|  | void_int * | num_elems_g,
|  | void_int * | num_elem_blks_g,
|  | void_int * | num_node_sets_g,
|  | void_int * | num_side_sets_g
| ) |  |

Undocumented:

## ◆ ex_get_init_info()

int ex_get_init_info | ( | int | exoid,
|  | int * | num_proc,
|  | int * | num_proc_in_f,
|  | char * | ftype
| ) |  |

Undocumented:

## ◆ ex_get_loadbal_param()

int ex_get_loadbal_param | ( | int | exoid,
|  | void_int * | num_int_nodes,
|  | void_int * | num_bor_nodes,
|  | void_int * | num_ext_nodes,
|  | void_int * | num_int_elems,
|  | void_int * | num_bor_elems,
|  | void_int * | num_node_cmaps,
|  | void_int * | num_elem_cmaps,
|  | int | processor
| ) |  |

Undocumented:

## ◆ ex_get_map()

int ex_get_map | ( | int | exoid,
|  | void_int * | elem_map
| ) |  |

The function ex_get_map() reads the element order map from the database. If an element order map is not stored in the data file, a default array (1,2,3,. .. num_elem) is returned. Memory must be allocated for the element map array ({num_elem} in length) before this call is made.

Returns
  In case of an error, ex_get_map() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - if an element order map is not stored, a default map and a warning value are returned.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [out] | elem_map | Returned element order map.

The following code will read an element order map from an open exodus file :

int *elem_map, error, exoid;
/* read element order map */
elem_map = (int *)calloc(num_elem, sizeof(int));
error = ex_get_map(exoid, elem_map);

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_map_param()

int ex_get_map_param | ( | int | exoid,
|  | int * | num_node_maps,
|  | int * | num_elem_maps
| ) |  |

Examples
  /test/testrd1.c.

## ◆ ex_get_name()

int ex_get_name | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | entity_id,
|  | char * | name
| ) |  |

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, and /test/testrd_par.c.

## ◆ ex_get_names()

int ex_get_names | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | char ** | names
| ) |  |

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nfaced.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, and /test/testrd_par.c.

## ◆ ex_get_node_cmap()

int ex_get_node_cmap | ( | int | exoid,
|  | ex_entity_id | map_id,
|  | void_int * | node_ids,
|  | void_int * | proc_ids,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  map_id | Map ID
  node_ids | FEM node IDs
  proc_ids | Processor IDs
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_get_ns_param_global()

int ex_get_ns_param_global | ( | int | exoid,
|  | void_int * | global_ids,
|  | void_int * | node_cnts,
|  | void_int * | df_cnts
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  global_ids | Global IDs of node sets
  node_cnts | Count of nodes in node sets
  df_cnts | Count of dist. factors in ns

Examples
  /test/test_nemesis.c.

## ◆ ex_get_num_map()

int ex_get_num_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | ex_entity_id | map_id,
|  | void_int * | map
| ) |  |

Examples
  /test/ReadEdgeFace.c, and /test/testrd1.c.

## ◆ ex_get_one_attr()

int ex_get_one_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int | attrib_index,
|  | void * | attrib
| ) |  |

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd_par.c, and /test/testwt-one-attrib.c.

## ◆ ex_get_partial_attr()

int ex_get_partial_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int64_t | start_num,
|  | int64_t | num_ent,
|  | void * | attrib
| ) |  |

reads the specified attribute for a subsect of a block

Parameters

  exoid | exodus file id
  obj_type | object type (edge, face, elem block)
  obj_id | object id (edge, face, elem block ID)
  start_num | the starting index of the attributes to be returned.
  num_ent | the number of entities to read attributes for.
  attrib | array of attributes

## ◆ ex_get_partial_conn()

int ex_get_partial_conn | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | int64_t | start_num,
|  | int64_t | num_ent,
|  | void_int * | nodeconn,
|  | void_int * | edgeconn,
|  | void_int * | faceconn
| ) |  |

## ◆ ex_get_partial_coord()

int ex_get_partial_coord | ( | int | exoid,
|  | int64_t | start_node_num,
|  | int64_t | num_nodes,
|  | void * | x_coor,
|  | void * | y_coor,
|  | void * | z_coor
| ) |  |

reads the coordinates of the nodes. Memory must be allocated for the coordinate arrays (x_coor, y_coor, and z_coor) before this call is made. The length of each of these arrays is the number of nodes in the mesh. Because the coordinates are floating point values, the application code must declare the arrays passed to be the appropriate type "float" or "double" to match the compute word size passed in ex_create() or ex_open()

Parameters

  | exoid | exodus file id
  | start_node_num | the starting index of the coordinates to be returned.
  | num_nodes | the number of nodes to read coordinates for.
  [out] | x_coor | Returned X coordinates of the nodes. These are returned only if x_coor is non-NULL.
  [out] | y_coor | Returned Y coordinates of the nodes. These are returned only if y_coor is non-NULL.
  [out] | z_coor | Returned Z coordinates of the nodes. These are returned only if z_coor is non-NULL.

Examples
  /test/test_ts_partial_nvar_rd.c.

## ◆ ex_get_partial_coord_component()

int ex_get_partial_coord_component | ( | int | exoid,
|  | int64_t | start_node_num,
|  | int64_t | num_nodes,
|  | int | component,
|  | void * | coor
| ) |  |

reads the coordinates of some of the nodes in the model for the specified component Memory must be allocated for the coordinate array (coor) before this call is made. The length of the array is at least `num_nodes` Because the coordinates are floating point values, the application code must declare the array passed to be the appropriate type "float" or "double" to match the compute word size passed in ex_create() or ex_open()

Parameters

  | exoid | exodus file id
  | start_node_num | the starting index of the coordinates to be returned.
  | num_nodes | the number of nodes to read coordinates for.
  | component | which component (1=X, 2=Y, 3=Z)
  [out] | coor | Returned coordinate of the nodes for the specified component.

## ◆ ex_get_partial_id_map()

int ex_get_partial_id_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | int64_t | start_entity_num,
|  | int64_t | num_entities,
|  | void_int * | map
| ) |  |

reads the a portion of the values of the id map for the entity type specified by `map_type` The beginning location of the read is a `start_entity_num` which is 1-based. The read will return `num_entities` values starting at that location. Requirements are:

- `start_entity_num > 0`
- `start_entity_num + num_entities - 1 <= num_entity` which is the number of entities of specified type (e.g. elements)

Parameters

  exoid | exodus file id
  map_type | type (edge block, face block, edge set, ... )
  start_entity_num | index of first entity in block to read (1-based)
  num_entities | number of entries to read in this block/set
  map | the values read are returned here.

## ◆ ex_get_partial_num_map()

int ex_get_partial_num_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | ex_entity_id | map_id,
|  | int64_t | ent_start,
|  | int64_t | ent_count,
|  | void_int * | map
| ) |  |

Examples
  /test/testrd1.c.

## ◆ ex_get_partial_one_attr()

int ex_get_partial_one_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int64_t | start_num,
|  | int64_t | num_ent,
|  | int | attrib_index,
|  | void * | attrib
| ) |  |

reads the specified attribute for a subsect of a block

Parameters

  exoid | exodus file id
  obj_type | object type (edge, face, elem block)
  obj_id | object id (edge, face, elem block ID)
  start_num | the starting index of the attributes to be returned.
  num_ent | the number of entities to read attributes for.
  attrib_index | index of attribute to write
  attrib | array of attributes

## ◆ ex_get_partial_set()

int ex_get_partial_set | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | int64_t | offset,
|  | int64_t | num_to_get,
|  | void_int * | set_entry_list,
|  | void_int * | set_extra_list
| ) |  |

reads a portion of the set entry list and set extra list for a single set

Parameters

  exoid | exodus file id
  set_type | set type
  set_id | set id
  offset | index of first entry in set to access (1-based)
  num_to_get | number of entries to output.
  set_entry_list | array of entries in set. Set to NULL to not read.
  set_extra_list | array of extras in set. Set to NULL to not read.

## ◆ ex_get_partial_set_dist_fact()

int ex_get_partial_set_dist_fact | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | int64_t | offset,
|  | int64_t | num_to_put,
|  | void * | set_dist_fact
| ) |  |

reads the distribution factors for a single set

## ◆ ex_get_processor_elem_maps()

int ex_get_processor_elem_maps | ( | int | exoid,
|  | void_int * | elem_mapi,
|  | void_int * | elem_mapb,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  elem_mapi | Internal element IDs
  elem_mapb | Border element IDs
  processor | Processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_get_processor_node_maps()

int ex_get_processor_node_maps | ( | int | exoid,
|  | void_int * | node_mapi,
|  | void_int * | node_mapb,
|  | void_int * | node_mape,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  node_mapi | Internal FEM node IDs
  node_mapb | Border FEM node IDs
  node_mape | External FEM node IDs
  processor | Processor IDs

Examples
  /test/test_nemesis.c.

## ◆ ex_get_prop()

int ex_get_prop | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | const char * | prop_name,
|  | void_int * | value
| ) |  |

The function ex_get_prop() reads an integer object property value stored for a single element block, node set, or side set.

Returns
  In case of an error, ex_get_prop() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - invalid object type specified.
  - a warning value is returned if a property with the specified name is not found.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [in] | obj_id | The element block, node set, or side set ID.
  [in] | prop_name | The name of the property (maximum length is `MAX_STR_LENGTH` ) for which the value is desired.
  [out] | value | Returned value of the property.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

For an example of code to read an object property, refer to the description for ex_get_prop_names().

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_prop_array()

int ex_get_prop_array | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | const char * | prop_name,
|  | void_int * | values
| ) |  |

The function ex_get_prop_array() reads an array of integer property values for all element blocks, node sets, or side sets. The order of the values in the array correspond to the order in which the element blocks, node sets, or side sets were introduced into the file. Before this function is invoked, memory must be allocated for the returned array of(num_elem_blk, num_node_sets, or {num_side_sets}) integer values.

This function can be used in place of

- ex_get_elem_blk_ids(),
- ex_get_node_set_ids(), and
- ex_get_side_set_ids() to get element block, node set, and side set IDs, respectively, by requesting the property name ID. One should also note that this same function can be accomplished with multiple calls to ex_get_prop().

Returns
  In case of an error, ex_get_prop_array() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - invalid object type specified.
  - a warning value is returned if a property with the specified name is not found.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [in] | prop_name | The name of the property (maximum length of `MAX_STR_LENGTH` ) for which the values are desired.
  [out] | values | Returned array of property values.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

For an example of code to read an array of object properties, refer to the description for ex_get_prop_names().

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_prop_names()

int ex_get_prop_names | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | char ** | prop_names
| ) |  |

The function ex_get_prop_names() returns names of integer properties stored for an element block, node set, or side set. The number of properties (needed to allocate space for the property names) can be obtained via a call to ex_inquire() or ex_inquire_int().

Returns
  In case of an error, ex_get_prop_names() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - invalid object type specified.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [out] | prop_names | Returned array containing num_props (obtained from call to ex_inquire() or ex_inquire_int()) names (of maximum length `MAX_STR_LENGTH` ) of properties to be stored. ID, a reserved property name, will be the first name in the array.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

As an example, the following code segment reads in properties assigned to node sets:

int error, exoid, num_props, *prop_values;
char *prop_names[MAX_PROPS];
/* read node set properties */
num_props = ex_inquire_int(exoid, EX_INQ_NS_PROP);
for (i=0; i < num_props; i++) {
prop_names[i] = (char *) malloc ((MAX_STR_LENGTH+1), sizeof(char));
prop_values = (int *) malloc (num_node_sets, sizeof(int));
}
error = ex_get_prop_names(exoid,EX_NODE_SET,prop_names);
for (i=0; i < num_props; i++) {
error = ex_get_prop_array(exoid, EX_NODE_SET, prop_names[i],
prop_values);
}

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_set()

int ex_get_set | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | void_int * | set_entry_list,
|  | void_int * | set_extra_list
| ) |  |

reads the set entry list and set extra list for a single set

Parameters

  exoid | exodus file id
  set_type | set type
  set_id | set id
  *set_entry_list | array of entries in set. Set to NULL to not read.
  *set_extra_list | array of extras in set. Set to NULL to not read.

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_set_dist_fact()

int ex_get_set_dist_fact | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | void * | set_dist_fact
| ) |  |

reads the distribution factors for a single set

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_set_param()

int ex_get_set_param | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | void_int * | num_entry_in_set,
|  | void_int * | num_dist_fact_in_set
| ) |  |

Examples
  /test/ReadEdgeFace.c, /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd-nsided.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_sets()

int ex_get_sets | ( | int | exoid,
|  | size_t | set_count,
|  | struct ex_set * | sets
| ) |  |

## ◆ ex_get_side_set_node_count()

int ex_get_side_set_node_count | ( | int | exoid,
|  | ex_entity_id | side_set_id,
|  | int * | side_set_node_cnt_list
| ) |  |

## ◆ ex_get_side_set_node_list()

int ex_get_side_set_node_list | ( | int | exoid,
|  | ex_entity_id | side_set_id,
|  | void_int * | side_set_node_cnt_list,
|  | void_int * | side_set_node_list
| ) |  |

Examples
  /test/testrd-groups.c, /test/testrd-long-name.c, /test/testrd.c, /test/testrd1.c, /test/testrd_nc.c, /test/testrd_par.c, /test/testrd_ss.c, /test/testrdd.c, and /test/testrdwt.c.

## ◆ ex_get_side_set_node_list_len()

int ex_get_side_set_node_list_len | ( | int | exoid,
|  | ex_entity_id | side_set_id,
|  | void_int * | side_set_node_list_len
| ) |  |

This routine is designed to read the Exodus II V 2.0 side set side definition and return the length of a ExodusI style side set node list.

Parameters

  | exoid | exodus file id
  | side_set_id | side set id
  [out] | *side_set_node_list_len | length of node list

## ◆ ex_get_ss_param_global()

int ex_get_ss_param_global | ( | int | exoid,
|  | void_int * | global_ids,
|  | void_int * | side_cnts,
|  | void_int * | df_cnts
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  global_ids | Global side-set IDs
  side_cnts | Global side count
  df_cnts | Global dist. factor count

Examples
  /test/test_nemesis.c.

## ◆ ex_put_attr()

int ex_put_attr | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | const void * | attrib
| ) |  |

writes the attributes for an edge/face/element block

Parameters

  exoid | exodus file id
  blk_type | block type
  blk_id | block id
  attrib | array of attributes

Examples
  /test/CreateEdgeFace.c, /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_attr_names()

int ex_put_attr_names | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | char ** | names
| ) |  |

Examples
  /test/CreateEdgeFace.c, /test/test_ts_files.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, /test/testwt_nc.c, and /test/twod.c.

## ◆ ex_put_attr_param()

int ex_put_attr_param | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int | num_attrs
| ) |  |

defines the number of attributes.

Parameters

  exoid | exodus file id
  obj_type | block/set type (node, edge, face, elem)
  obj_id | block/set id (ignored for NODAL)
  num_attrs | number of attributes

Examples
  /test/test_ts_files.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, and /test/testwt_nc.c.

## ◆ ex_put_block()

int ex_put_block | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | const char * | entry_descrip,
|  | int64_t | num_entries_this_blk,
|  | int64_t | num_nodes_per_entry,
|  | int64_t | num_edges_per_entry,
|  | int64_t | num_faces_per_entry,
|  | int64_t | num_attr_per_entry
| ) |  |

writes the parameters used to describe an element/face/edge block

Parameters

  exoid | exodus file id
  blk_type | type of block (edge, face, or element)
  blk_id | block identifier
  entry_descrip | string describing shape of entries in the block
  num_entries_this_blk | number of entries(records) in the block
  num_nodes_per_entry | number of nodes per block entry
  num_edges_per_entry | number of edges per block entry
  num_faces_per_entry | number of faces per block entry
  num_attr_per_entry | number of attributes per block entry

Examples
  /test/create_mesh.c, /test/rd_wt_mesh.c, /test/testrdwt.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nface-nside.c, /test/testwt-nfaced.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_block_param()

int ex_put_block_param | ( | int | exoid,
|  | const ex_block | block
| ) |  |

writes the parameters used to describe an element/face/edge block

Parameters

  exoid | exodus file id
  block | ex_block structure describing block counts

Examples
  /test/CreateEdgeFace.c.

## ◆ ex_put_block_params()

int ex_put_block_params | ( | int | exoid,
|  | size_t | block_count,
|  | const struct ex_block * | blocks
| ) |  |

writes the parameters used to describe an element/face/edge block

Parameters

  exoid | exodus file id
  block_count | number of blocks being defined
  blocks | array of ex_block structures describing block counts

Examples
  /test/test_ts_files.c, /test/testwt-compress.c, /test/testwt-results.c, and /test/testwt.c.

## ◆ ex_put_cmap_params()

int ex_put_cmap_params | ( | int | exoid,
|  | void_int * | node_cmap_ids,
|  | void_int * | node_cmap_node_cnts,
|  | void_int * | elem_cmap_ids,
|  | void_int * | elem_cmap_elem_cnts,
|  | int64_t | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  node_cmap_ids | Node map IDs
  node_cmap_node_cnts | Nodes in nodal comm
  elem_cmap_ids | Elem map IDs
  elem_cmap_elem_cnts | Elems in elemental comm
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_put_cmap_params_cc()

int ex_put_cmap_params_cc | ( | int | exoid,
|  | void_int * | node_cmap_ids,
|  | void_int * | node_cmap_node_cnts,
|  | void_int * | node_proc_ptrs,
|  | void_int * | elem_cmap_ids,
|  | void_int * | elem_cmap_elem_cnts,
|  | void_int * | elem_proc_ptrs
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  node_cmap_ids | Node map IDs
  node_cmap_node_cnts | Nodes in nodal comm
  node_proc_ptrs | Pointer into array for node maps
  elem_cmap_ids | Elem map IDs
  elem_cmap_elem_cnts | Elems in elemental comm
  elem_proc_ptrs | Pointer into array for elem maps

Examples
  /test/test_nemesis.c.

## ◆ ex_put_concat_all_blocks()

int ex_put_concat_all_blocks | ( | int | exoid,
|  | const ex_block_params * | param
| ) |  |

writes the parameters used to describe all element, edge, and face blocks

Parameters

  exoid | exodus file id
  param | block parameters structure

## ◆ ex_put_concat_elem_block()

int ex_put_concat_elem_block | ( | int | exoid,
|  | const void_int * | elem_blk_id,
|  | char * | elem_type[],
|  | const void_int * | num_elem_this_blk,
|  | const void_int * | num_nodes_per_elem,
|  | const void_int * | num_attr_this_blk,
|  | int | define_maps
| ) |  |

writes the parameters used to describe an element block

Parameters

  exoid | exodus file id
  elem_blk_id | element block id
  elem_type | element type string
  num_elem_this_blk | number of elements in the element blk
  num_nodes_per_elem | number of nodes per element block
  num_attr_this_blk | number of attributes
  define_maps | if != 0, write maps, else don't

Examples
  /test/create_mesh.c, /test/rd_wt_mesh.c, and /test/testwt_clb.c.

## ◆ ex_put_concat_sets()

int ex_put_concat_sets | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | const struct ex_set_specs * | set_specs
| ) |  |

writes the set ID's, set entry count array, set entry pointers array, set entry list, set extra list, and distribution factors list for all the sets of the specified type.

Parameters

  exoid | exodus file id
  set_type | type of set
  set_specs | set specs structure

Examples
  /test/testwt1.c, /test/testwt_clb.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, and /test/testwtm.c.

## ◆ ex_put_conn()

int ex_put_conn | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | const void_int * | node_conn,
|  | const void_int * | elem_edge_conn,
|  | const void_int * | elem_face_conn
| ) |  |

writes the connectivity array for a block

Parameters

  exoid | exodus file id
  blk_type | type of block
  blk_id | id of block
  node_conn | node-element connectivity
  elem_edge_conn | element-edge connectivity (NULL if none)
  elem_face_conn | element-face connectivity (NULL if none)

Examples
  /test/create_mesh.c, /test/CreateEdgeFace.c, /test/rd_wt_mesh.c, /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nface-nside.c, /test/testwt-nfaced.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_coord()

int ex_put_coord | ( | int | exoid,
|  | const void * | x_coor,
|  | const void * | y_coor,
|  | const void * | z_coor
| ) |  |

The function ex_put_coord() writes the nodal coordinates of the nodes in the model. The function ex_put_init() must be invoked before this call is made.

Because the coordinates are floating point values, the application code must declare the arrays passed to be the appropriate type (float or double) to match the compute word size passed in ex_create() or ex_open().

Returns
  In case of an error, ex_put_coord() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - data file not initialized properly with call to ex_put_init().

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | x_coor | The X-coordinates of the nodes. If this is NULL, the X-coordinates will not be written.
  [in] | y_coor | The Y-coordinates of the nodes. These are stored only if num_dim > 1; otherwise, pass in NULL. If this is NULL, the Y-coordinates will not be written.
  [in] | z_coor | The Z-coordinates of the nodes. These are stored only if num_dim > 2; otherwise, pass in NULL. If this is NULL, the Z-coordinates will not be written.

The following will write the nodal coordinates to an open exodus file :

int error, exoid;
// /* if file opened with compute word size of sizeof(float) */
float x[8], y[8], z[8];
// /* write nodal coordinates values to database */
x[0] = 0.0; y[0] = 0.0; z[0] = 0.0;
x[1] = 0.0; y[1] = 0.0; z[1] = 1.0;
x[2] = 1.0; y[2] = 0.0; z[2] = 1.0;
x[3] = 1.0; y[3] = 0.0; z[3] = 0.0;
x[4] = 0.0; y[4] = 1.0; z[4] = 0.0;
x[5] = 0.0; y[5] = 1.0; z[5] = 1.0;
x[6] = 1.0; y[6] = 1.0; z[6] = 1.0;
x[7] = 1.0; y[7] = 1.0; z[7] = 0.0;
error = ex_put_coord(exoid, x, y, z);
/* Do the same as the previous call in three separate calls */
error = ex_put_coord(exoid, x, NULL, NULL);
error = ex_put_coord(exoid, NULL, y, NULL);
error = ex_put_coord(exoid, NULL, NULL, z);

Examples
  /test/create_mesh.c, /test/CreateEdgeFace.c, /test/rd_wt_mesh.c, /test/test_ts_files.c, /test/test_ts_nvar.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nface-nside.c, /test/testwt-nfaced.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt-zeroe.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_coord_names()

int ex_put_coord_names | ( | int | exoid,
|  | char * | coord_names[]
| ) |  |

The function ex_put_coord_names() writes the names of the coordinate arrays to the database. Memory must be allocated for the character strings before this function is invoked.

In case of an error, ex_put_coord_names() returns a negative number; a warning will return a positive number. Possible causes of errors include:

- data file not properly opened with call to ex_create() or ex_open()
- data file opened for read only.
- data file not initialized properly with call to ex_put_init().

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | coord_names | Array containing num_dim names of length ``...max_name_length... of the nodal coordinate arrays.

The following coding will write the coordinate names to an open exodus file :

int error, exoid;
char *coord_names[3];
coord_names[0] = "xcoor";
coord_names[1] = "ycoor";
coord_names[2] = "zcoor";
error = ex_put_coord_names (exoid, coord_names);

Examples
  /test/CreateEdgeFace.c, /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nface-nside.c, /test/testwt-nfaced.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-zeroe.c, /test/testwt-zeron.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_coordinate_frames()

int ex_put_coordinate_frames | ( | int | exoid,
|  | int | nframes,
|  | const void_int * | cf_ids,
|  | void * | pt_coordinates,
|  | const char * | tags
| ) |  |

expfrm - ex_put_coordinate_frames: write coordinate frames

Parameters

  exoid | exodus file id
  nframes | number of coordinate frames in model
  cf_ids | coordinate ids
  pt_coordinates | pointer to coordinates. 9 values per coordinate frame
  tags | character tag for each frame. 'r' - rectangular, 'c' - cylindrical, 's' - spherical

returns - EX_NOERR for no error EX_FATAL for fatal errors 1 number frames < 0

Examples
  /test/testwt-one-attrib.c.

## ◆ ex_put_eb_info_global()

int ex_put_eb_info_global | ( | int | exoid,
|  | void_int * | el_blk_ids,
|  | void_int * | el_blk_cnts
| ) |  |

Parameters

  exoid | NemesisI file ID
  el_blk_ids | Vector of global element IDs
  el_blk_cnts | Vector of global element counts

Examples
  /test/test_nemesis.c.

## ◆ ex_put_elem_cmap()

int ex_put_elem_cmap | ( | int | exoid,
|  | ex_entity_id | map_id,
|  | void_int * | elem_ids,
|  | void_int * | side_ids,
|  | void_int * | proc_ids,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  map_id | Elemental comm map ID
  elem_ids | Vector of element IDs
  side_ids | Vector of side IDs
  proc_ids | Vector of processor IDs
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_put_entity_count_per_polyhedra()

int ex_put_entity_count_per_polyhedra | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | const int * | entity_counts
| ) |  |

writes out the number of entities (nodes/faces) per polyhedra (nsided/nfaced) in this element block to the database.

Parameters

  exoid | exodus file id
  blk_type | type of block (face, or element)
  blk_id | block identifier
  entity_counts | entity_per_polyhedra count array

Examples
  /test/testwt-nface-nside.c, /test/testwt-nfaced.c, and /test/testwt-nsided.c.

## ◆ ex_put_id_map()

int ex_put_id_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | const void_int * | map
| ) |  |

writes out the entity numbering map to the database; this allows the entity numbers to be non-contiguous. This map is used for mapping between local and global entity ids.

Parameters

  exoid | exodus file id
  map_type |
  map | element numbering map array

Examples
  /test/create_mesh.c, /test/rd_wt_mesh.c, and /test/testwt_nossnsdf.c.

## ◆ ex_put_init()

int ex_put_init | ( | int | exoid,
|  | const char * | title,
|  | int64_t | num_dim,
|  | int64_t | num_nodes,
|  | int64_t | num_elem,
|  | int64_t | num_elem_blk,
|  | int64_t | num_node_sets,
|  | int64_t | num_side_sets
| ) |  |

The function ex_put_init() writes the initialization parameters to the exodus file. This function must be called once (and only once) before writing any data to the file.

Returns
  In case of an error, ex_put_init() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - this routine has been called previously.

Parameters

  exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  title | Database title. Maximum length is MAX_LINE_LENGTH.
  num_dim | The dimensionality of the database. This is the number of coordinates per node.
  num_nodes | The number of nodal points.
  num_elem | The number of elements.
  num_elem_blk | The number of element blocks.
  num_node_sets | The number of node sets.
  num_side_sets | The number of side sets.

The following code segment will initialize an open exodus file with the specified parameters:

int num_dim, num_nods, num_el, num_el_blk, num_ns, num_ss, error, exoid;
/* initialize file with parameters */
num_dim = 3; num_nods = 46; num_el = 5; num_el_blk = 5;
num_ns = 2; num_ss = 5;
error = ex_put_init (exoid, "This is the title", num_dim,
num_nods, num_el,num_el_blk, num_ns, num_ss);

Examples
  /test/create_mesh.c, /test/rd_wt_mesh.c, /test/test_ts_files.c, /test/test_ts_nvar.c, /test/test_ts_partial_nvar.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-results.c, /test/testwt-zeroe.c, /test/testwt-zeron.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwt_ss.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_init_ext()

int ex_put_init_ext | ( | int | exoid,
|  | const ex_init_params * | model
| ) |  |

writes the initialization parameters to the EXODUS file

Parameters

  exoid | exodus file id
  model | finite element model parameters

Examples
  /test/CreateEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ ex_put_init_global()

int ex_put_init_global | ( | int | exoid,
|  | int64_t | num_nodes_g,
|  | int64_t | num_elems_g,
|  | int64_t | num_elem_blks_g,
|  | int64_t | num_node_sets_g,
|  | int64_t | num_side_sets_g
| ) |  |

Undocumented:

## ◆ ex_put_init_info()

int ex_put_init_info | ( | int | exoid,
|  | int | num_proc,
|  | int | num_proc_in_f,
|  | char * | ftype
| ) |  |

Undocumented:

## ◆ ex_put_loadbal_param()

int ex_put_loadbal_param | ( | int | exoid,
|  | int64_t | num_int_nodes,
|  | int64_t | num_bor_nodes,
|  | int64_t | num_ext_nodes,
|  | int64_t | num_int_elems,
|  | int64_t | num_bor_elems,
|  | int64_t | num_node_cmaps,
|  | int64_t | num_elem_cmaps,
|  | int | processor
| ) |  |

Undocumented:

## ◆ ex_put_loadbal_param_cc()

int ex_put_loadbal_param_cc | ( | int | exoid,
|  | void_int * | num_int_nodes,
|  | void_int * | num_bor_nodes,
|  | void_int * | num_ext_nodes,
|  | void_int * | num_int_elems,
|  | void_int * | num_bor_elems,
|  | void_int * | num_node_cmaps,
|  | void_int * | num_elem_cmaps
| ) |  |

Undocumented:

## ◆ ex_put_map()

int ex_put_map | ( | int | exoid,
|  | const void_int * | elem_map
| ) |  |

The function ex_put_map() writes out the optional element order map to the database. The function ex_put_init() must be invoked before this call is made.

In case of an error, ex_put_map() returns a negative number; a warning will return a positive number. Possible causes of errors include:

- data file not properly opened with call to ex_create() or ex_open()
- data file opened for read only.
- data file not initialized properly with call to ex_put_init().
- an element map already exists in the file.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | elem_map | The element order map.

The following code generates a default element order map and outputs it to an open exodus file. This is a trivial case and included just for illustration. Since this map is optional, it should be written out only if it contains something other than the default map.

int error, exoid;
int *elem_map = (int *)calloc(num_elem, sizeof(int));
for (i=0; i < num_elem; i++) {
elem_map[i] = i+1;
}
error = ex_put_map(exoid, elem_map);

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwtd.c, and /test/testwtm.c.

## ◆ ex_put_map_param()

int ex_put_map_param | ( | int | exoid,
|  | int | num_node_maps,
|  | int | num_elem_maps
| ) |  |

defines the number of node and element maps. It is more efficient to define both of these at the same time; however, they can be defined in separate calls by setting only one of the counts to a non-zero value. It is an error to redefine the number of node or element maps.

Parameters

  exoid | exodus file id
  num_node_maps | number of node maps
  num_elem_maps | number of element maps

Examples
  /test/testwt1.c.

## ◆ ex_put_name()

int ex_put_name | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | entity_id,
|  | const char * | name
| ) |  |

writes the name of the specified entity to the database. The entity with id `entity_id` must exist before calling ex_put_name().

Parameters

  exoid | exodus file id
  obj_type | object type
  entity_id | id of entity name to write
  name | ptr to entity name

Examples
  /test/test_ts_files.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt.c, and /test/testwt1.c.

## ◆ ex_put_names()

int ex_put_names | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | char * | names[]
| ) |  |

writes the entity names to the database

Parameters

  exoid | exodus file id
  obj_type | object type
  names | ptr array of entity names

Examples
  /test/CreateEdgeFace.c, /test/test_ts_files.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nface-nside.c, /test/testwt-nfaced.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, /test/testwt1.c, /test/testwt_nc.c, and /test/twod.c.

## ◆ ex_put_node_cmap()

int ex_put_node_cmap | ( | int | exoid,
|  | ex_entity_id | map_id,
|  | void_int * | node_ids,
|  | void_int * | proc_ids,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  map_id | Nodal comm map ID
  node_ids | FEM node IDs
  proc_ids | Processor IDs
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_put_ns_param_global()

int ex_put_ns_param_global | ( | int | exoid,
|  | void_int * | global_ids,
|  | void_int * | node_cnts,
|  | void_int * | df_cnts
| ) |  |

Parameters

  exoid | NemesisI file ID
  global_ids | Vector of global node-set IDs
  node_cnts | Vector of node counts in node-sets
  df_cnts | Vector of dist factor counts in node-sets

Examples
  /test/test_nemesis.c.

## ◆ ex_put_num_map()

int ex_put_num_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | ex_entity_id | map_id,
|  | const void_int * | map
| ) |  |

writes a map; this is a vector of integers of the same length as the number of entries in the source object (nodes, edges, faces, or elements in the file).

Parameters

  exoid | exodus file id
  map_type | type of map (node,edge,face,elem)
  map_id | id to associate with new map
  map | map set value array

Examples
  /test/CreateEdgeFace.c, and /test/testwt1.c.

## ◆ ex_put_one_attr()

int ex_put_one_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int | attrib_index,
|  | const void * | attrib
| ) |  |

writes the specified attribute for a block

Parameters

  exoid | exodus file id
  obj_type | object type (edge, face, elem block)
  obj_id | object id (edge, face, elem block ID)
  attrib_index | index of attribute to write
  attrib | array of attributes

Examples
  /test/test_ts_files.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-one-attrib.c, /test/testwt-oned.c, /test/testwt.c, and /test/testwt_nc.c.

## ◆ ex_put_partial_attr()

int ex_put_partial_attr | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | int64_t | start_entity,
|  | int64_t | num_entity,
|  | const void * | attrib
| ) |  |

writes the attributes for an edge/face/element block

Parameters

  exoid | exodus file id
  blk_type | block type
  blk_id | block id
  start_entity | the starting index (1-based) of the attribute to be written
  num_entity | the number of entities to write attributes
  attrib | array of attributes

## ◆ ex_put_partial_conn()

int ex_put_partial_conn | ( | int | exoid,
|  | ex_entity_type | blk_type,
|  | ex_entity_id | blk_id,
|  | int64_t | start_num,
|  | int64_t | num_ent,
|  | const void_int * | nodeconn,
|  | const void_int * | edgeconn,
|  | const void_int * | faceconn
| ) |  |

## ◆ ex_put_partial_coord()

int ex_put_partial_coord | ( | int | exoid,
|  | int64_t | start_node_num,
|  | int64_t | num_nodes,
|  | const void * | x_coor,
|  | const void * | y_coor,
|  | const void * | z_coor
| ) |  |

writes the coordinates of some of the nodes in the model Only writes the 'non-null' arrays.

Parameters

  exoid | exodus file id
  start_node_num | the starting index (1-based) of the coordinates to be written
  num_nodes | the number of nodes to write coordinates for.
  x_coor | x coord array
  y_coor | y coord array
  z_coor | z coord array

Examples
  /test/test_ts_partial_nvar.c, and /test/testwt-partial.c.

## ◆ ex_put_partial_coord_component()

int ex_put_partial_coord_component | ( | int | exoid,
|  | int64_t | start_node_num,
|  | int64_t | num_nodes,
|  | int | component,
|  | const void * | coor
| ) |  |

writes the coordinates of some of the nodes in the model for the specified component

Parameters

  exoid | exodus file id
  start_node_num | the starting index (1-based) of the coordinates to be written
  num_nodes | the number of nodes to write coordinates for.
  component | which component (1=X, 2=Y, 3=Z)
  coor | coord array

## ◆ ex_put_partial_id_map()

int ex_put_partial_id_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | int64_t | start_entity_num,
|  | int64_t | num_entities,
|  | const void_int * | map
| ) |  |

writes out a portion of the entity numbering map to the database; this allows the entity numbers to be non-contiguous. This map is used for mapping between local and global entity ids.

Parameters

  exoid | exodus file id
  map_type |
  start_entity_num |
  num_entities |
  map | element numbering map array

## ◆ ex_put_partial_num_map()

int ex_put_partial_num_map | ( | int | exoid,
|  | ex_entity_type | map_type,
|  | ex_entity_id | map_id,
|  | int64_t | ent_start,
|  | int64_t | ent_count,
|  | const void_int * | map
| ) |  |

writes a map; this is a vector of integers of length number of mesh objects of that type (element, node, face, edge)

Examples
  /test/testwt1.c.

## ◆ ex_put_partial_one_attr()

int ex_put_partial_one_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int64_t | start_num,
|  | int64_t | num_ent,
|  | int | attrib_index,
|  | const void * | attrib
| ) |  |

writes the specified attribute for a block

Parameters

  exoid | exodus file id
  obj_type | object type (edge, face, elem block)
  obj_id | object id (edge, face, elem block ID)
  start_num | the starting index of the attributes to be written
  num_ent | the number of entities to write attributes for.
  attrib_index | index of attribute to write
  attrib | array of attributes

Examples
  /test/testwt-partial.c.

## ◆ ex_put_partial_set()

int ex_put_partial_set | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | int64_t | offset,
|  | int64_t | num_to_put,
|  | const void_int * | set_entry_list,
|  | const void_int * | set_extra_list
| ) |  |

writes the set entry list and set extra list for a single set

Parameters

  exoid | exodus file id
  set_type | set type
  set_id | set id
  offset | The initial entity (1-based) to be output
  num_to_put | The number of entities to output
  *set_entry_list | array of entries in set. Set to NULL to not write.
  *set_extra_list | array of extras in set. Set to NULL to not write.

## ◆ ex_put_partial_set_dist_fact()

int ex_put_partial_set_dist_fact | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | int64_t | offset,
|  | int64_t | num_to_put,
|  | const void * | set_dist_fact
| ) |  |

writes the partial distribution factors for a single set

Parameters

  exoid | exodus file id
  set_type | set type
  set_id | set id
  offset | index (1-based) of first dist factor to write
  num_to_put | number of dist factors to write.
  *set_dist_fact | array of dist factors for set

## ◆ ex_put_processor_elem_maps()

int ex_put_processor_elem_maps | ( | int | exoid,
|  | void_int * | elem_mapi,
|  | void_int * | elem_mapb,
|  | int | processor
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  elem_mapi | Internal FEM element IDs
  elem_mapb | Border FEM element IDs
  processor | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_put_processor_node_maps()

int ex_put_processor_node_maps | ( | int | exoid,
|  | void_int * | node_mapi,
|  | void_int * | node_mapb,
|  | void_int * | node_mape,
|  | int | proc_id
| ) |  |

Parameters

  exoid | NetCDF/Exodus file ID
  node_mapi | Internal FEM node IDs
  node_mapb | Border FEM node IDs
  node_mape | External FEM node IDs
  proc_id | This processor ID

Examples
  /test/test_nemesis.c.

## ◆ ex_put_prop()

int ex_put_prop | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | const char * | prop_name,
|  | ex_entity_id | value
| ) |  |

The function ex_put_prop() stores an integer object property value to a single element block, node set, or side set. Although it is not necessary to invoke ex_put_prop_names(), since ex_put_prop() will allocate space within the data file if it hasn't been previously allocated, it is more efficient to use ex_put_prop_names() if there is more than one property to store.

It should be noted that the interpretation of the values of the integers stored as properties is left to the application code. In general, a zero (0) means the object does not have the specified property (or is not in the specified group); a nonzero value means the object does have the specified property. When space is allocated for the properties using ex_put_prop_names() or ex_put_prop(), the properties are initialized to zero (0).

Because the ID of an element block, node set, or side set is just another property (named ID), this routine can be used to change the value of an ID. This feature must be used with caution, though, because changing the ID of an object to the ID of another object of the same type (element block, node set, or side set) would cause two objects to have the same ID, and thus only the first would be accessible. Therefore, ex_put_prop() issues a warning if a user attempts to give two objects the same ID.

Returns
  In case of an error, ex_put_prop() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - data file not initialized properly with call to ex_put_init().
  - invalid object type specified.
  - a warning is issued if a user attempts to change the ID of an object to the ID of an existing object of the same type.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [in] | obj_id | The element block, node set, or side set ID.
  [in] | prop_name | The name of the property for which the value will be stored. Maximum length of this string is `MAX_STR_LENGTH` .
  [in] | value | The value of the property.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

For an example of code to write out an object property, refer to the description for ex_put_prop_names().

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-zeroe.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwtd.c, and /test/testwtm.c.

## ◆ ex_put_prop_array()

int ex_put_prop_array | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | const char * | prop_name,
|  | const void_int * | values
| ) |  |

The function ex_put_prop_array() stores an array of ({num_elem_blk}, num_node_sets, or num_side_sets) integer property values for all element blocks, node sets, or side sets. The order of the values in the array must correspond to the order in which the element blocks, node sets, or side sets were introduced into the file. For instance, if the parameters for element block with ID 20 were written to a file (via ex_put_elem_block()), and then parameters for element block with ID 10, followed by the parameters for element block with ID 30, the first, second, and third elements in the property array would correspond to element block 20, element block 10, and element block 30, respectively.

One should note that this same functionality (writing properties to multiple objects) can be accomplished with multiple calls to ex_put_prop().

Although it is not necessary to invoke ex_put_prop_names(), since ex_put_prop_array() will allocate space within the data file if it hasn't been previously allocated, it is more efficient to use ex_put_prop_names() if there is more than one property to store.

Returns
  In case of an error, ex_put_prop_array() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - data file not initialized properly with call to ex_put_init().
  - invalid object type specified.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [in] | prop_name | The name of the property for which the values will be stored. Maximum length of this string is `MAX_STR_LENGTH` .
  [in] | values | An array of property values.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

For an example of code to write an array of object properties, refer to the description for ex_put_prop_names().

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-zeroe.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwtd.c, and /test/testwtm.c.

## ◆ ex_put_prop_names()

int ex_put_prop_names | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | int | num_props,
|  | char ** | prop_names
| ) |  |

The function ex_put_prop_names() writes object property names and allocates space for object property arrays used to assign integer properties to element blocks, node sets, or side sets. The property arrays are initialized to zero (0). Although this function is optional, since ex_put_prop() will allocate space within the data file if it hasn't been previously allocated, it is more efficient to use ex_put_prop_names() if there is more than one property to store.

Returns
  In case of an error, ex_put_prop_names() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - data file not initialized properly with call to ex_put_init().
  - invalid object type specified.
  - no object of the specified type is stored in the file.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [in] | num_props | The number of integer properties to be assigned to all of the objects of the type specified (element blocks, node sets, or side sets).
  [in] | prop_names | Array containing num_props names (of maximum length of `MAX_STR_LENGTH` ) of properties to be stored.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

For instance, suppose a user wanted to assign the 1st, 3rd, and 5th element blocks (those element blocks stored 1st, 3rd, and 5th, regardless of their ID) to a group (property) called TOP, and the 2nd, 3rd, and 4th element blocks to a group called LSIDE. This could be accomplished with the following code:

char* prop_names[2];
int top_part[] = {1,0,1,0,1};
int lside_part[] = {0,1,1,1,0};
int id[] = {10, 20, 30, 40, 50};
prop_names[0] = "TOP";
prop_names[1] = "LSIDE";
/* This call to ex_put_prop_names is optional, but more efficient */
ex_put_prop_names (exoid, EX_ELEM_BLOCK, 2, prop_names);
/* The property values can be output individually thus */
for (i=0; i < 5; i++) {
ex_put_prop (exoid, EX_ELEM_BLOCK, id[i], prop_names[0],
top_part[i]);
ex_put_prop (exoid, EX_ELEM_BLOCK, id[i], prop_names[1],
lside_part[i]);
}
/* Alternatively, the values can be output as an array */
ex_put_prop_array (exoid, EX_ELEM_BLOCK, prop_names[0],
top_part);
ex_put_prop_array (exoid, EX_ELEM_BLOCK, prop_names[1],
lside_part);

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt.c, /test/testwt1.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwt_nossnsdf.c, /test/testwtd.c, and /test/testwtm.c.

## ◆ ex_put_set()

int ex_put_set | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | const void_int * | set_entry_list,
|  | const void_int * | set_extra_list
| ) |  |

writes the set entry list and set extra list for a single set

Parameters

  exoid | exodus file id
  set_type | set type
  set_id | set id
  *set_entry_list | array of entries in set. Set to NULL to not write.
  *set_extra_list | array of extras in set. Set to NULL to not write.

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-zeroe.c, /test/testwt.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_set_dist_fact()

int ex_put_set_dist_fact | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | const void * | set_dist_fact
| ) |  |

writes the distribution factors for a single set

Parameters

  exoid | exodus file id
  set_type | set type
  set_id | set id
  *set_dist_fact | array of dist factors for set

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-zeroe.c, /test/testwt.c, /test/testwt2.c, /test/testwt_clb.c, /test/testwt_nc.c, /test/testwtd.c, and /test/testwtm.c.

## ◆ ex_put_set_param()

int ex_put_set_param | ( | int | exoid,
|  | ex_entity_type | set_type,
|  | ex_entity_id | set_id,
|  | int64_t | num_entries_in_set,
|  | int64_t | num_dist_fact_in_set
| ) |  |

writes the set id and the number of entries which describe a single set

Parameters

  exoid | exodus file id
  set_type | the type of set
  set_id | set id
  num_entries_in_set | number of entries in the set
  num_dist_fact_in_set | number of distribution factors in the set

Examples
  /test/test_ts_files.c, /test/testrdwt.c, /test/testwt-compress.c, /test/testwt-groups.c, /test/testwt-long-name.c, /test/testwt-nsided.c, /test/testwt-oned.c, /test/testwt-partial.c, /test/testwt-zeroe.c, /test/testwt.c, /test/testwt2.c, /test/testwt_nc.c, /test/testwtd.c, /test/testwtm.c, and /test/twod.c.

## ◆ ex_put_sets()

int ex_put_sets | ( | int | exoid,
|  | size_t | set_count,
|  | const struct ex_set * | sets
| ) |  |

writes the set parameters and optionally set data for 1 or more sets

Parameters

  exoid | exodus file id
  set_count | number of sets to write
  *sets | array of ex_set structures

Examples
  /test/CreateEdgeFace.c.

## ◆ ex_put_ss_param_global()

int ex_put_ss_param_global | ( | int | exoid,
|  | void_int * | global_ids,
|  | void_int * | side_cnts,
|  | void_int * | df_cnts
| ) |  |

Parameters

  exoid | NemesisI file ID
  global_ids | Vector of global side-set IDs
  side_cnts | Vector of element/side counts in each side set
  df_cnts | Vector of dist. factor counts in each side set

Examples
  /test/test_nemesis.c.

EX_NODE_SET
Definition: exodusII.h:256
ex_get_map
int ex_get_map(int exoid, void_int *elem_map)
Definition: ex_get_map.c:71
ex_inquire_int
int64_t ex_inquire_int(int exoid, ex_inquiry req_info)
Definition: ex_inquire.c:954
error
error
Definition: ex_put_elem_var_tab.c:115
ex_put_prop_array
int ex_put_prop_array(int exoid, ex_entity_type obj_type, const char *prop_name, const void_int *values)
Definition: ex_put_prop_array.c:98
ex_put_prop_names
int ex_put_prop_names(int exoid, ex_entity_type obj_type, int num_props, char **prop_names)
Definition: ex_put_prop_names.c:124
ex_put_prop
int ex_put_prop(int exoid, ex_entity_type obj_type, ex_entity_id obj_id, const char *prop_name, ex_entity_id value)
Definition: ex_put_prop.c:103
MAX_STR_LENGTH
#define MAX_STR_LENGTH
Definition: exodusII.h:300
ex__obj_stats::exoid
int exoid
Definition: exodusII_int.h:666
ex_put_coord_names
int ex_put_coord_names(int exoid, char *coord_names[])
Definition: ex_put_coord_names.c:73
MAX_LINE_LENGTH
#define MAX_LINE_LENGTH
Definition: exodusII.h:306
EX_INQ_NS_PROP
Definition: exodusII.h:174
ex_get_coord
int ex_get_coord(int exoid, void *x_coor, void *y_coor, void *z_coor)
Definition: ex_get_coord.c:98
ex_put_map
int ex_put_map(int exoid, const void_int *elem_map)
Definition: ex_put_map.c:85
ex_put_init
int ex_put_init(int exoid, const char *title, int64_t num_dim, int64_t num_nodes, int64_t num_elem, int64_t num_elem_blk, int64_t num_node_sets, int64_t num_side_sets)
Definition: ex_put_init.c:80
ex_put_coord
int ex_put_coord(int exoid, const void *x_coor, const void *y_coor, const void *z_coor)
Definition: ex_put_coord.c:113
EX_ELEM_BLOCK
Definition: exodusII.h:261
ex_get_prop_names
int ex_get_prop_names(int exoid, ex_entity_type obj_type, char **prop_names)
Definition: ex_get_prop_names.c:106
ex_get_init
int ex_get_init(int exoid, char *title, void_int *num_dim, void_int *num_nodes, void_int *num_elem, void_int *num_elem_blk, void_int *num_node_sets, void_int *num_side_sets)
Definition: ex_get_init.c:101
ex_get_coord_names
int ex_get_coord_names(int exoid, char **coord_names)
Definition: ex_get_coord_names.c:73
ex_get_prop_array
int ex_get_prop_array(int exoid, ex_entity_type obj_type, const char *prop_name, void_int *values)
Definition: ex_get_prop_array.c:113